Bug 20171 - Item search should honor syspref 'delimiter'
Summary: Item search should honor syspref 'delimiter'
Status: Failed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Olivia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-02-09 17:40 UTC by Victor Grousset/tuxayo
Modified: 2019-02-03 10:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20171: Fixed CSV output to use syspref 'delimiter' in export files (3.50 KB, patch)
2019-01-17 22:26 UTC, Olivia
Details | Diff | Splinter Review
Bug 20171: Fixed CSV output to use syspref 'delimiter' in export files (3.55 KB, patch)
2019-01-18 19:53 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2018-02-09 17:40:23 UTC
Same cause and fix as bug 19928
Comment 1 Victor Grousset/tuxayo 2018-02-12 16:18:13 UTC
Sorry, won't have the time to work on this (there will be always more problematic stuff for me to fix).

But it's a reasonably low hanging fruit/beginner friendly bug and I'll be glad to provide advice if needed.
Comment 2 Olivia 2019-01-17 22:26:21 UTC
Created attachment 84169 [details] [review]
Bug 20171: Fixed CSV output to use syspref 'delimiter' in export files

To Find Fix:

1. Go to sysprefs and change delimiter to slashes
2. Under the Search drop down click Item search
3. Set Output as CSV
4. Click Search
5. A file should be downloaded and when opened the set delimiter should
appear as the delimiter
Comment 3 Mikaël Olangcay Brisebois 2019-01-18 19:53:47 UTC
Created attachment 84216 [details] [review]
Bug 20171: Fixed CSV output to use syspref 'delimiter' in export files

To Find Fix:

1. Go to sysprefs and change delimiter to slashes
2. Under the Search drop down click Item search
3. Set Output as CSV
4. Click Search
5. A file should be downloaded and when opened the set delimiter should
appear as the delimiter

Signed-off-by: Mikael Olangcay Brisebois <mikael.olangcay-brisebois@inlibro.com>
Comment 4 David Nind 2019-01-19 09:21:43 UTC
Signed-off by Mikaël, but status not changed. So have updated.

Also changed assignee to Olivia.

(Can confirm the patch works as expected).
Comment 5 Katrin Fischer 2019-02-03 10:22:41 UTC
Hi all,

I tested, but found 2 issues that we need to fix:

- The QA script complains about missing filters
- While most values of the system preference translate directly, tabulation does not: ;|tabulation|,|/|\|#||. So when tab is selected, the file exported is not usable as it has "tabulation" printed as a separator instead of the actual 'tab'.